/*
 * Project "fingerprintGUI": Services for fingerprint authentication on Linux
 * Module: fingerprintPlugin.cpp, fingerprintPlugin.h
 * Purpose: Plugin to be used for authentication with gnome-screensaver and other plugin-aware applications
 *
 * @author  Wolfgang Ullrich
 * Copyright (C) 2008-2009  Wolfgang Ullrich
 */

/*
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef _FINGERPRINT_PLUGIN_H
#define	_FINGERPRINT_PLUGIN_H

#define _MULTI_THREADED

#include <sys/stat.h>
#include <errno.h>
#include <fcntl.h>
#include <QtGui>
#include <QObject>
#include <QEventLoop>
#include "ui_fingerprintPlugin.h"
#include "globals.h"

class FifoReader : public QThread {
    Q_OBJECT
            
private:
    int fifo;
    QLabel *label;
protected:
    void run();
public:
    FifoReader(QLabel *label);
};

class PluginDialog : public QFrame, public Ui::MainFrame {
    Q_OBJECT
            
private:
    FifoReader *fifoReader;
public:
    PluginDialog();
};

#endif	/* _FINGERPRINT_PLUGIN_H */
