/*
 * Project "fingerprintGUI": Services for fingerprint authentication on Linux
 * Module: globals.h
 * Purpose: some global defines
 *
 * @author  Wolfgang Ullrich
 * Copyright (C) 2008-2009  Wolfgang Ullrich
 */

/*
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef _GLOBALS_H
#define _GLOBALS_H

#include <syslog.h>

#define VERSION "0.11"
#define HOMEPAGE "http://www.pdfserver.net/fingerprint/"
#define DONATE "contact.php"
#define LICENSE "http://www.gnu.org/licenses/gpl.html"

#define _MULTI_THREADED

extern "C" {
#include <libfprint/fprint.h>
}

#ifdef HAS_LIBBSAPI
#include "bsapi.h"
#include "bserror.h"
#include "bsgui.h"
#include "bstypes.h"
#define BS_DATA_DIR "/libbsapi/"   //directory to store libbsapi data in user home
#endif

#define DATA_DIR "/.fingerprints"
#define FP_DATA_DIR "/libfprint/"  //directory to store libfprint data in user home
#define DATA_EXT ".bir"            //file extension for data

#define ID_FILE_NAME "/usb.ids"     //file with USB-IDs in program directory
//This might change in later versions of "usb.ids" from http://www.linux-usb.org/usb.ids
#define END_OF_DEVICE_IDS "# List of known device classes, subclasses and protocols";

#define BACKUP_FILENAME "/Fingerprints.tar.gz"

#define OPERATION_TIMEOUT 60000     //Timeout (usecs) for user action after requesting a swipe
#define SHOW_DELAY 1500000  //delay (usecs) for showing results before exiting the GUI

#define PASSWD_FILE "/etc/passwd"

#define HELPER_COMMAND "/usr/local/bin/fingerprintHelper"
#define HELPER_PID "/tmp/fingerprintHelper.pid"

#define PLUGIN_FIFO "/tmp/fingerprintPlugin"
// Messages for controlling fingerprintPlugin
#define MSG_BOLD "_bOlD_"
#define MSG_NORMAL "_nOrMaL_"
#define MSG_STOP "_sToP_pLuGiN_"
#define PASS_OK "_pAsSwOrD_oK_"

#define UNDECORATED_MODAL_WINDOW_CENTERED \
    setWindowFlags(Qt::X11BypassWindowManagerHint); \
    setFocusPolicy(Qt::StrongFocus); \
    setFocus(); \
    raise(); \
    activateWindow(); \
    int h=height(); \
    int w=width(); \
    int x=(int)(QApplication::desktop()->width()-w)/2; \
    /* Some applications place their prompt to the center of the screen, so we place our dialog below */ \
    int y=(int)(QApplication::desktop()->height()-h)*3/4; \
    setGeometry(x,y,w,h);

#define ANIMATION_MOVIE \
    movie=new QMovie(QString::fromUtf8(":/new/prefix1/res/Animation.gif")); \
    movie->start(); \
    animationLabel->setMovie(movie);

#define START_TIMER \
    timer=new QTimer(this); \
    connect(timer,SIGNAL(timeout()),this,SLOT(timerTick())); \
    timer->start(1000);

#endif /* _GLOBALS_H */
