/*
 * Project "fingerprintGUI": Services for fingerprint authentication on Linux
 * Module: AboutImpl.cpp, AboutImpl.h
 * Purpose: About dialog
 *
 * @author  Wolfgang Ullrich
 * Copyright (C) 2008-2009  Wolfgang Ullrich
 */

/*
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#include "../include/AboutImpl.h"

AboutImpl::AboutImpl(QWidget *parent,Qt::WFlags f)
    : QDialog(parent,f){
    setupUi(this);

    string s="Version: ";
    s.append(VERSION);
    versionLabel->setText(QApplication::translate("AboutDialog", s.data(),0,QApplication::UnicodeUTF8));
    homeButton->setText(QApplication::translate("AboutDialog",HOMEPAGE,0,QApplication::UnicodeUTF8));
    connect(donateButton,SIGNAL(clicked()),this,SLOT(donate()));
    connect(licenseButton,SIGNAL(clicked()),this,SLOT(license()));
    connect(homeButton,SIGNAL(clicked()),this,SLOT(homepage()));
}

void AboutImpl::openBrowser(const QString& url){
    QApplication::setOverrideCursor(Qt::BusyCursor);
    QProcess *process=new QProcess();
    QStringList browsers;
    
    browsers << "mozilla" << "netscape" << "firefox" << "konqueror";
    QStringListIterator browserIterator(browsers);
    while(browserIterator.hasNext()){
        QString b=browserIterator.next();
        process->start(b,QStringList()<<url);
        if(process->waitForStarted()){
            QApplication::restoreOverrideCursor();
            return;
        }
        syslog(LOG_INFO,"Could not start %s.",b.toLocal8Bit().constData());
    }
    syslog(LOG_ERR,"ERROR: Could not start a broser.");
    QApplication::restoreOverrideCursor();
}

// slots
void AboutImpl::donate(){
    QString s;
    s.append(HOMEPAGE);
    s.append(DONATE);
    openBrowser(s);
}

void AboutImpl::license(){
    openBrowser(LICENSE);
}

void AboutImpl::homepage(){
    openBrowser(HOMEPAGE);
}
