/*
 * Project "fingerprintGUI": Services for fingerprint authentication on Linux
 * Module: FingerprintData.cpp, FingerprintData.h
 * Purpose: Object to hold fingerprint data of one finger and user information
 *
 * @author  Wolfgang Ullrich
 * Copyright (C) 2008-2009  Wolfgang Ullrich
 */

/*
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "FingerprintData.h"

FINGERS;

FingerprintData::FingerprintData(string userName,int fi,fp_print_data *fp){
    fpData=fp;
    user=userName;
    isFp=true;
#ifdef HAS_LIBBSAPI
    bsData=NULL;
#endif
    next=NULL;
    finger=fi;
}

#ifdef HAS_LIBBSAPI
FingerprintData::FingerprintData(string userName,int fi,ABS_BIR *fp){
    bsData=fp;
    user=userName;
    isFp=false;
    fpData=NULL;
    next=NULL;
    finger=fi;
}

//public getters and setters ---------------------------------------------------
ABS_BIR *FingerprintData::getBsData(){
    if(isFp) return NULL;
    return bsData;
}
#endif

bool FingerprintData::isFpDevice(){
    return isFp;
}

fp_print_data *FingerprintData::getFpData(){
    if(!isFp) return NULL;
    return fpData;
}

const char *FingerprintData::getFingerName(){
    return fingers[finger];
}

string *FingerprintData::getUserName(){
    return &user;
}
