/**
 * @file bsgui.h
 *
 * BSAPI default callback implementation
 *
 * Copyright (C) 2007 UPEK Inc.
 */
 
#ifndef bsgui_h
#define bsgui_h

#include "bstypes.h"

#ifdef __cplusplus
extern "C" {
#endif



/** 
 * @name Default Callback Implementation
 */

/** 
 * Default BSAPI callback implementation.
 * 
 * @param pOperation Pointer to ABS_OPERATION structure used when calling the interactive operation.
 * @param dwMsgID ID of message. See description of ABS_MSG_xxxx constants.
 * @param pMsgData Pointer to data with additional information related with 
 * the message. 
 */
void BSAPI ABSDefaultCallback(
    IN const ABS_OPERATION* pOperation,
    IN ABS_DWORD dwMsgID,
    IN void* pMsgData
);





#ifdef __cplusplus
} 		/* extern "C" */
#endif

#endif	/* bsgui_h */

